cancel
Showing results for 
Search instead for 
Did you mean: 

WICED Smart Bluetooth

New Contributor II

Hello everyone,

I was trying to re-program the demo application that came with the eval board.

Through ModusToolbox, I downloaded the "Audio-20721B2EVK02"  application.  I was able to build the "Audio-20721B2EVK02.a2dp_sink" project fine, but a few other audio projects are having compilation issues, 1 specifically "Audio-20721B2EVK02.headset"

Error:

headset_control.c:673:14: error: 'BTM_BLE_REMOTE_CONNECTION_PARAM_REQ_EVT' undeclared (first use in this function); did you mean 'BTM_BLE_CONNECTION_PARAM_UPDATE'?

         case BTM_BLE_REMOTE_CONNECTION_PARAM_REQ_EVT:

This seems to be missing from wiced_bt_dev.h.

Is this project deprecated, or is there some library update that must be done ?

I have:

wiced_btsdk release-v2.6.0 18c098e

Audio-20721B2EVK02 release -v2.7.1 7831eff

0 Likes
Reply
1 Solution
Moderator
Moderator

Hi alca_3047856 ,

Seems like your BTSDK version is old and example you are trying is higher version .

Please update the wiced_btsdk version and try   [ Delete old wiced_btsdk libraries -> Click New Application -> select a kit name -> wiced_btsdk -> create   ]?

Note:

CYW20721 is not a product supported within the broad market , thus in community.  So please contact your local Cypress sales/FAE team to discuss further queries specific to 20721.

Regards,

Anjana

View solution in original post

0 Likes
Reply
1 Reply
Moderator
Moderator

Hi alca_3047856 ,

Seems like your BTSDK version is old and example you are trying is higher version .

Please update the wiced_btsdk version and try   [ Delete old wiced_btsdk libraries -> Click New Application -> select a kit name -> wiced_btsdk -> create   ]?

Note:

CYW20721 is not a product supported within the broad market , thus in community.  So please contact your local Cypress sales/FAE team to discuss further queries specific to 20721.

Regards,

Anjana

View solution in original post

0 Likes
Reply